Skip to main content
PUT
/
6
/
{hashid}
/
stats
/
redirect
Logs a redirection
curl --request PUT \
  --url https://{search_zone}-search.doofinder.com/6/{hashid}/stats/redirect \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "session_id": "<string>",
  "query": "<string>"
}
'
{
  "status": "registered"
}

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Path Parameters

hashid
string
required

Unique id of a search engine.

Body

application/json
id
string
required

The id of the redirection triggered

session_id
string
required

Identifier of search session

Maximum string length: 32
query
string

The search query that led to this

Response

OK

Response returned over register stat operation.

status
string

Result of the stats request. i.e. 'registered'